apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: rest
  namespace: argo
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production"
    nginx.ingress.kubernetes.io/proxy-body-size: 0
    nginx.ingress.kubernetes.io/proxy-request-buffering: "off"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/cors-allow-origin: "https://ui.workflow-service.greecevscorona.gr"
spec:
  rules:
  - host: rest.workflow-service.greecevscorona.gr
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: rest
            port:
              number: 8000
  ingressClassName: nginx
  tls:
  - hosts:
    - rest.workflow-service.greecevscorona.gr
    secretName: rest-cert
